# Command: is_mpi

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    is_mpi - flag in statusdict indicating whether interpreter was compiled with MPI

Synopsis:

    statusdict/is_mpi :: -> boolean

Description:

      The C++ startup of a SLI interpreter which is not compiled with MPI support may
      be completely unaware of distributed computing and may therefore not define the /is_mpi
      flag. In order to simplify user code, processes.sli sets /is_mpi to false if it is
      not defined.

Author:

    Diesmann

FirstVersion:

    090412

SeeAlso:

- statusdict

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/processes.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative